{ pkgs, config, lib, ... }: {
  options = {
    drivers.nvidia.enable = lib.mkEnableOption "Enable proprietary Nvidia drivers";
  };

  config = lib.mkIf config.drivers.nvidia.enable {
    services.xserver.videoDrivers = [ "nvidia" ];
    hardware.nvidia = {
      modesetting.enable = true;
      nvidiaSettings = false;
      package = config.boot.kernelPackages.nvidiaPackages.beta;
      open = false;
    };
  };
}
